/*:root {
    --bs-pagination-padding-x: 0.75rem;
    --bs-pagination-padding-y: 0.375rem;
    --bs-pagination-font-size: 1rem;
    --bs-pagination-color: var(--bs-dark);
    --bs-pagination-bg: var(--bs-body-bg);
    --bs-pagination-border-width: var(--bs-border-width);
    --bs-pagination-border-color: var(--bs-border-color);
    --bs-pagination-border-radius: var(--bs-border-radius);
    --bs-pagination-hover-color: var(--bs-link-hover-color);
    --bs-pagination-hover-bg: var(--bs-tertiary-bg);
    --bs-pagination-hover-border-color: var(--bs-border-color);
    --bs-pagination-focus-color: var(--bs-link-hover-color);
    --bs-pagination-focus-bg: var(--bs-secondary-bg);
    --bs-pagination-focus-box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
    --bs-pagination-active-color: var(--bs-dark);
    --bs-pagination-active-bg: #0d6efd;
    --bs-pagination-active-border-color: black;
    --bs-pagination-disabled-color: var(--bs-secondary-color);
    --bs-pagination-disabled-bg: var(--bs-secondary-bg);
    --bs-pagination-disabled-border-color: var(--bs-border-color);
}
*/

html {
    font-size: 14px;
    font-family: 'Rubik', sans-serif;
    position: relative;
    min-height: 100%;
}

html,
body {
    font-family: 'Rubik', sans-serif !important;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

body {
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 30px;
    text-align: center;
}


.tabulator .tabulator-footer {
    background-color: var(--bs-body-bg) !important;
}

/* Correction pour les champs de mots de passe enregistrés dans le navigateur. Testé pour Chrome et Firefox */
.form-floating > .form-control-plaintext ~ label::after,
.form-floating > .form-control:focus ~ label::after,
.form-floating > .form-control:not(:placeholder-shown) ~ label::after,
.form-floating > .form-select ~ label::after {
    background-color: inherit !important;
}

@media (hover: hover) and (pointer: fine) {
    .tabulator.table .tabulator-row.table-danger:hover {
        background-color: red;
    }

    .tabulator.table .tabulator-row.table-danger:hover .tabulator-cell {
        background-color: #f9cfcf !important;
    }
}

@media (hover: hover) and (pointer: fine) {
    .tabulator.table .tabulator-row:hover .tabulator-cell:not(.tabulator-selected) {
        background-color: inherit !important;
    }
}

@media (hover: hover) and (pointer: fine) {
    .tabulator.table .tabulator-row:not(.tabulator-selected):hover {
        background-color: inherit !important;
    }
}

.tabulator-row:not(.tabulator-selected) .tabulator-cell.tabulator-row-header {
    background-color: inherit !important;
}

.tabulator-row .tabulator-responsive-collapse {
    border-bottom: none !important;
}

.tabulator-row.tabulator-selected > .tabulator-cell.tabulator-row-header.tabulator-row-handle {
    background-color: #9abcea;
}